Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -18376,13 +18376,13 @@
         ! déclarations
         ! **inputs
-        real xt(ntraciso),qt,cond,tcond,zfice ! tcond en K        
+        REAL xt(ntraciso),qt,cond,tcond,zfice ! tcond en K
         ! **outputs
-        real zxtice(ntraciso),zxtliq(ntraciso)
+        REAL zxtice(ntraciso),zxtliq(ntraciso)
         ! **locals
-        integer ixt
-        real zcond
-        integer ieau,izone,iiso
-        real zcondtrac,qttrac
-        real xttrac(ntraciso),zxtliqtrac(ntraciso), &
+        INTEGER ixt
+        REAL zcond
+        INTEGER ieau,izone,iiso
+        REAL zcondtrac,qttrac
+        REAL xttrac(ntraciso),zxtliqtrac(ntraciso), &
                  zxticetrac(ntraciso)
         ! normallement, niso en dimension suffirait, mais serait pas
@@ -18391,6 +18391,6 @@
 
         ! verif que qt n'est pas nul
-        if (qt.eq.0) THEN
-            if (cond.lt.ridicule) THEN
+        IF (qt.EQ.0) THEN
+            IF (cond.lt.ridicule) THEN
               do ixt=1,ntraciso  
                 zxtliq(ixt)=0
@@ -18405,5 +18405,5 @@
                 stop
             endif
-        endif !if (qt.eq.0) THEN
+        endif !if (qt.EQ.0) THEN
         zcond=max(0.0,min(cond,qt))
 
@@ -18432,8 +18432,8 @@
           enddo
 #ifdef ISOVERIF  
-        if (iso_HDO.gt.0) THEN
-              if (zcondtrac.gt.ridicule) THEN
-                  if (iso_verif_aberrant_nostop(zxtice(iso_HDO)/cond &
-                   /faccond,'condiso_trac 79').eq.1) THEN
+        IF (iso_HDO.gt.0) THEN
+              IF (zcondtrac.gt.ridicule) THEN
+                  IF (iso_verif_aberrant_nostop(zxtice(iso_HDO)/cond &
+                   /faccond,'condiso_trac 79').EQ.1) THEN
                   WRITE(*,*) 'izone=',izone
                   WRITE(*,*) 'zcondtrac/qttrac=',cond/qt
@@ -18441,5 +18441,5 @@
                                  deltaD(xttrac(iso_HDO)/qttrac)
                   WRITE(*,*) 'tcond=',tcond-273,'°C'
-                  if (tcond-273.gt.-40.0) THEN
+                  IF (tcond-273.gt.-40.0) THEN
                       ! au dessus de -40, il y a de quoi s'inquiéter
                       ! en dessous, on ne sait pas ce que valent les alphas
@@ -18464,16 +18464,16 @@
 #endif
 
-        if (option_traceurs.eq.17) THEN
+        IF (option_traceurs.EQ.17) THEN
            ! colorier le condensat en un tag spécifique
            do ixt=1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) THEN
+             IF (index_zone(ixt).EQ.izone_cond) THEN
                 zxtliq(ixt)=zxtliq(index_iso(ixt))
                 zxtice(ixt)=zxtice(index_iso(ixt))
-             else !if (index_zone(ixt).eq.izone_cond) THEN
+             else !if (index_zone(ixt).EQ.izone_cond) THEN
                 zxtliq(ixt)=0.0
                 zxtice(ixt)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) THEN
+             endif !if (index_zone(ixt).EQ.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
-        endif !if (option_traceurs.eq.17) THEN
+        endif !if (option_traceurs.EQ.17) THEN
 #ifdef ISOVERIF
         CALL iso_verif_traceur(zxtliq(1), &
@@ -18493,5 +18493,5 @@
 &       ridicule
 !    USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectall
-    use isotrac_mod, ONLY: index_iso, index_zone,option_traceurs,izone_cond, &
+    USE isotrac_mod, ONLY: index_iso, index_zone,option_traceurs,izone_cond, &
 &        ridicule_trac
 #ifdef ISOVERIF
@@ -18506,11 +18506,11 @@
         ! déclarations
         ! **inputs
-        integer n
-        real xt(ntraciso,n),qt(n),cond(n),tcond(n),zfice(n) ! tcond en K        
+        INTEGER n
+        REAL xt(ntraciso,n),qt(n),cond(n),tcond(n),zfice(n) ! tcond en K
         ! **outputs
-        real zxtice(ntraciso,n),zxtliq(ntraciso,n)
+        REAL zxtice(ntraciso,n),zxtliq(ntraciso,n)
         ! **locals
-        integer ixt, i ! compteurs
-        real zcond(n)
+        INTEGER ixt, i ! compteurs
+        REAL zcond(n)
 !#ifdef ISOVERIF
 !        integer iso_verif_aberrant_nostop ! debugage
@@ -18518,7 +18518,7 @@
 !        real deltaD
 !#endif 
-        integer izone,ieau,iiso
-        real zcondtrac(n),qttrac(n)
-        real xttrac(ntraciso,n),zxtliqtrac(ntraciso,n), &
+        INTEGER izone,ieau,iiso
+        REAL zcondtrac(n),qttrac(n)
+        REAL xttrac(ntraciso,n),zxtliqtrac(ntraciso,n), &
                  zxticetrac(ntraciso,n)
         ! normallement, niso en dimension suffirait, mais serait pas
@@ -18531,5 +18531,5 @@
 !        ! verif qt pas nul
 !        do i=1,n
-!          if (qt(i).eq.0) THEN
+!          if (qt(i).EQ.0) THEN
 !            if (cond(i).lt.ridicule) THEN
 !              do ixt=1,ntraciso  
@@ -18545,5 +18545,5 @@
 !                stop
 !            endif
-!          endif !if (qt(i).eq.0) THEN
+!          endif !if (qt(i).EQ.0) THEN
 !        enddo !do i=1,n
 
@@ -18565,13 +18565,13 @@
           do i=1,n
             qttrac(i)=xt(ieau,i)
-            if (qt(i).gt.0.0) then ! modif C Risi juillet 2020 ! remodif Camille 9 mars 2023
-!            if ((qt(i).gt.0.0).and.(xt(ieau,i).gt.0.0)) THEN
+            IF (qt(i).gt.0.0) then ! modif C Risi juillet 2020 ! remodif Camille 9 mars 2023
+!            if ((qt(i).gt.0.0).AND.(xt(ieau,i).gt.0.0)) THEN
                zcondtrac(i)=(zcond(i)/qt(i))*qttrac(i)
-            else !if (qt(i).eq.0) THEN
+            else !if (qt(i).EQ.0) THEN
 #ifdef ISOVERIF              
                 CALL iso_verif_egalite(cond(i),0.0,'condisotrac 195')
 #endif
                 zcondtrac(i)=0.0
-            endif !if (qt(i).eq.0) THEN
+            endif !if (qt(i).EQ.0) THEN
             zcondtrac(i)=min(zcondtrac(i),qttrac(i))
             do iiso=1,niso          
@@ -18579,10 +18579,10 @@
             enddo ! do iiso=1,niso
 #ifdef ISOVERIF
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(qttrac(i), &
                  xttrac(iso_eau,i),'condisotrac 148', &
                  errmax,errmaxrel)
             endif
-            if (iso_HDO.gt.0) THEN
+            IF (iso_HDO.gt.0) THEN
                 CALL iso_verif_aberrant_choix(xttrac(iso_HDO,i), &
                  qttrac(i),ridicule_trac,deltalimtrac, &
@@ -18635,20 +18635,20 @@
 
         ! inputs
-        real q ! humidité spec
-        integer ixt ! indice isotopique
-        real alpha ! coef frac à l'eq
-        real kcin ! coef frac cinétique
-        real toce ! rapport iso ds ocean surface
+        REAL q ! humidité spec
+        INTEGER ixt ! indice isotopique
+        REAL alpha ! coef frac à l'eq
+        REAL kcin ! coef frac cinétique
+        REAL toce ! rapport iso ds ocean surface
 
         ! outputs
-        real xt ! equivalent iso de l'humidité spec, même unité.
+        REAL xt ! equivalent iso de l'humidité spec, même unité.
 
         ! locals
-        real RMerlivat
-        real q0,h0 ! conditions initiales de la distill de Rayleigh
+        REAL RMerlivat
+        REAL q0,h0 ! conditions initiales de la distill de Rayleigh
         parameter (q0=20e-3,h0=0.7)
 
         ! verifier que ixt est un isotope et pas un tagging
-        if (ixt.gt.niso) THEN
+        IF (ixt.gt.niso) THEN
           CALL abort_physic('isotopes_routines_mod', 'iso_init_ideal, ixt>niso', 1)
         endif
@@ -18662,6 +18662,6 @@
 #ifdef ISOVERIF
         CALL iso_verif_noNaN(xt, 'isotopes_routines_mod 18930a: iso_init_ideal')
-        if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
-            if (q.gt.ridicule) THEN
+        IF ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
+            IF (q.gt.ridicule) THEN
                     WRITE(*,*) 'xt,q=',xt,q
                     WRITE(*,*) 'alpha=',alpha
@@ -18671,5 +18671,5 @@
             endif
         endif
-        if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+        IF ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
              CALL iso_verif_egalite(xt,q, 'isotopes_routines_mod 18930c: iso_init_ideal')
         endif
@@ -18685,7 +18685,7 @@
 USE isotopes_mod, ONLY: iso_eau, iso_HDO,thumxt1, &
 &       bidouille_anti_divergence,ridicule,Rdefault
-use infotrac_phy, ONLY: ntraciso=>ntiso, niso
+USE infotrac_phy, ONLY: ntraciso=>ntiso, niso
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: option_cond,izone_cond,index_iso,index_zone,izone_poubelle
+    USE isotrac_mod, ONLY: option_cond,izone_cond,index_iso,index_zone,izone_poubelle
 #endif
 #ifdef ISOVERIF
@@ -18696,20 +18696,20 @@
 
 ! inputs
-integer nloc,na,i ! dimension horiz effective
-logical lwork(nloc)
-real wdtrain(nloc),xtwdtrain(ntraciso,nloc)
-real xt(ntraciso,nloc,na)
-real evap(nloc,na),water(nloc,na),rpprec(nloc,na),rr(nloc,na)
-integer inb(nloc)
+INTEGER nloc,na,i ! dimension horiz effective
+LOGICAL lwork(nloc)
+REAL wdtrain(nloc),xtwdtrain(ntraciso,nloc)
+REAL xt(ntraciso,nloc,na)
+REAL evap(nloc,na),water(nloc,na),rpprec(nloc,na),rr(nloc,na)
+INTEGER inb(nloc)
 
 ! outputs
-real xtevap(ntraciso,nloc,na),xtwater(ntraciso,nloc,na),xtp(ntraciso,nloc,na)
+REAL xtevap(ntraciso,nloc,na),xtwater(ntraciso,nloc,na),xtp(ntraciso,nloc,na)
 
 ! locals
-integer il,ixt
+INTEGER il,ixt
 
      do il=1,nloc
-       if (i.le.inb(il) .and. lwork(il)) THEN
-          if (wdtrain(il).gt.0.) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
+          IF (wdtrain(il).gt.0.) THEN
             do ixt=1,ntraciso
              xtwater(ixt,il,i)= xtwdtrain(ixt,il)/wdtrain(il)*water(il,i)
@@ -18723,5 +18723,5 @@
 #ifdef ISOTRAC
             do ixt=1+niso,ntraciso
-             if (index_zone(ixt).eq.izone_poubelle) THEN
+             IF (index_zone(ixt).EQ.izone_poubelle) THEN
                xtwater(ixt,il,i)= Rdefault(index_iso(ixt))*water(il,i)
                xtevap(ixt,il,i)= Rdefault(index_iso(ixt))*evap(il,i)
@@ -18743,14 +18743,14 @@
 SUBROUTINE dispatch(klon,klev,qx,q_seri,xt_seri,ql_seri,xtl_seri,qs_seri,xts_seri)
 
-use infotrac_phy, ONLY: nqtot,nqo,ivap,iliq,isol,iqIsoPha,ntraciso=>ntiso
+USE infotrac_phy, ONLY: nqtot,nqo,ivap,iliq,isol,iqIsoPha,ntraciso=>ntiso
 IMPLICIT NONE
 
 ! inputs
-integer, intent(in) :: klon,klev
-real,dimension(klon,klev,nqtot), intent(in) ::qx
+INTEGER, INTENT(IN) :: klon,klev
+REAL,DIMENSION(klon,klev,nqtot), INTENT(IN) ::qx
 
 ! outputs
-real,dimension(klon,klev), intent(out) ::q_seri,ql_seri,qs_seri
-real,dimension(ntraciso,klon,klev), intent(out) :: xt_seri,xtl_seri,xts_seri
+REAL,DIMENSION(klon,klev), INTENT(OUT) ::q_seri,ql_seri,qs_seri
+REAL,DIMENSION(ntraciso,klon,klev), INTENT(OUT) :: xt_seri,xtl_seri,xts_seri
 
 ! locals
@@ -18769,7 +18769,7 @@
           xt_seri(ixt,i,k)  = qx(i,k,iqIsoPha(ixt,ivap))
           xtl_seri(ixt,i,k) = qx(i,k,iqIsoPha(ixt,iliq))
-          if (nqo.eq.2) THEN
+          IF (nqo.EQ.2) THEN
              xts_seri(ixt,i,k) = 0.
-          else if (nqo.eq.3) THEN
+          ELSE IF (nqo.EQ.3) THEN
              xts_seri(ixt,i,k) = qx(i,k,iqIsoPha(ixt,isol))
           endif
@@ -18783,14 +18783,14 @@
 SUBROUTINE together(klon,klev,qx,q_seri,xt_seri,ql_seri,xtl_seri,qs_seri,xts_seri)
 
-use infotrac_phy, ONLY: nqtot,nqo,ivap,iliq,isol,iqIsoPha,ntraciso=>ntiso
+USE infotrac_phy, ONLY: nqtot,nqo,ivap,iliq,isol,iqIsoPha,ntraciso=>ntiso
 IMPLICIT NONE
 
 ! inputs
-integer, intent(in) :: klon,klev
-real,dimension(klon,klev), intent(in) ::q_seri,ql_seri,qs_seri
-real,dimension(ntraciso,klon,klev), intent(in) :: xt_seri,xtl_seri,xts_seri
+INTEGER, INTENT(IN) :: klon,klev
+REAL,DIMENSION(klon,klev), INTENT(IN) ::q_seri,ql_seri,qs_seri
+REAL,DIMENSION(ntraciso,klon,klev), INTENT(IN) :: xt_seri,xtl_seri,xts_seri
 
 ! inputs
-real,dimension(klon,klev,nqtot), intent(out) ::qx
+REAL,DIMENSION(klon,klev,nqtot), INTENT(OUT) ::qx
 
 ! locals
@@ -18807,5 +18807,5 @@
           qx(i,k,iqIsoPha(ixt,ivap)) = xt_seri(ixt,i,k)  
           qx(i,k,iqIsoPha(ixt,iliq)) = xtl_seri(ixt,i,k)
-          if (nqo.ge.3) THEN
+          IF (nqo.ge.3) THEN
              qx(i,k,iqIsoPha(ixt,isol)) = xts_seri(ixt,i,k)
           endif
